package com.bonus.canteen.core.allocation.canteen.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("alloc_label")
@ApiModel("标签表")
public class AllocLabel {
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("标签id")
   private Long labelId;
   @ApiModelProperty("标签名称")
   private String labelName;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private Long stallId;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public AllocLabel(Long labelId, String labelName) {
      this.labelId = labelId;
      this.labelName = labelName;
   }

   public AllocLabel(Long labelId, String labelName, Long canteenId, Long stallId) {
      this.labelId = labelId;
      this.labelName = labelName;
      this.canteenId = canteenId;
      this.stallId = stallId;
   }

   public Long getId() {
      return this.id;
   }

   public Long getLabelId() {
      return this.labelId;
   }

   public String getLabelName() {
      return this.labelName;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setLabelId(final Long labelId) {
      this.labelId = labelId;
   }

   public void setLabelName(final String labelName) {
      this.labelName = labelName;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public AllocLabel() {
   }
}
